What do you need help with?
Follow

Which Android versions are not compatible in HiFi-mode?

Samsung with Android version 4.3.0 - 4.4.3
For all other devices: Android version 4.4.0 - 4.4.3
 
If your device is using any of the above Android OS versions, then you may experience some performance issues when streaming HiFi. This is a Google restriction, and is something that TIDAL cannot resolve. We are sorry for this inconvenience. If you are able to upgrade your device to 4.4.4 or later, then the problems you may be experiencing will be improved.  
Was this article helpful?
2 out of 3 found this helpful
Have more questions? Submit a request

Comments